<?php
function moneyFormat($money,$lang) {
	if($lang == "fr") $money2 = number_format($money, 0, ',', ' ')." $";
	if($lang == "en") $money2 = "$".number_format($money, 0, '.', ',');
	return $money2;
}

// Find if a trade is pending and NOT waiting for a GM!
include 'login/mysqli.php';
$sql = "SELECT * FROM gmo_trade WHERE `APPROVAL` = '0000-00-00 00:00:00' AND `DATE2` != '0000-00-00 00:00:00'";
$query = mysqli_query($con, $sql) or die(mysqli_error($con));
$i = 0;
if(mysqli_num_rows($query) > 0) {
	while($data = mysqli_fetch_array($query)) {
		$dbINT[$i] = $data['INT'];
		$dbDATE1[$i] = $data['DATE1'];
		$dbDATE2[$i] = $data['DATE2'];
		$dbTEAM1[$i] = $data['TEAM1'];
		$dbTEAM2[$i] = $data['TEAM2'];
		$dbPLAYER1[$i] = explode('|',$data['PLAYER1']);
		$dbPLAYER2[$i] = explode('|',$data['PLAYER2']);
		$dbPROSPECT1[$i] = explode('|',$data['PROSPECT1']);
		$dbPROSPECT2[$i] = explode('|',$data['PROSPECT2']);
		$dbDRAFT1[$i] = explode('|',$data['DRAFT1']);
		$dbDRAFT2[$i] = explode('|',$data['DRAFT2']);
		if($data['CASH1'] != "") $dbCASH1[$i] = moneyFormat($data['CASH1'], $league_langue);
		else $dbCASH1[$i] = "";
		if($data['CASH2'] != "") $dbCASH2[$i] = moneyFormat($data['CASH2'], $league_langue);
		else $dbCASH2[$i] = "";
		$i++;
	}
}
mysqli_close($con);

echo '<br>';

if(isset($dbINT)) {
	echo '<span style="font-weight:bold;">'.$db_admin_trade[0].'</span><br>';
	echo '<table class="table" style="margin-bottom:20px;">';
	echo '<tr class="tr">';
	echo '<td>'.$db_admin_trade[1].'</td>';
	echo '<td>'.$db_admin_trade[2].'</td>';
	echo '<td>'.$db_admin_trade[3].'</td>';
	echo '<td>'.$db_admin_trade[4].'</td>';
	echo '<td>'.$db_admin_trade[5].'</td>';
	echo '<td>'.$db_admin_trade[6].'</td>';
	echo '<td>'.$db_admin_trade[7].'</td>';
	echo '<td>'.$db_admin_trade[8].'</td>';
	echo '<td>'.$db_admin_trade[9].'</td>';
	echo '<td>'.$db_admin_trade[10].'</td>';
	echo '<td></td>';
	echo '</tr>';
	for($i=0;$i<count($dbINT);$i++) {
		echo '<tr>';
		echo '<td>'.$dbTEAM1[$i].'<br>'.$dbDATE1[$i].'</td>';
		echo '<td>';
		for($x=0;$x<count($dbPLAYER1[$i]);$x++) {
			if($x!=0) echo '<br>';
			echo $dbPLAYER1[$i][$x];
		}
		echo '</td>';
		echo '<td>';
		for($x=0;$x<count($dbPROSPECT1[$i]);$x++) {
			if($x!=0) echo '<br>';
			echo $dbPROSPECT1[$i][$x];
		}
		echo '</td>';
		echo '<td>';
		for($x=0;$x<count($dbDRAFT1[$i]);$x++) {
			if($x!=0) echo '<br>';
			echo $dbDRAFT1[$i][$x];
		}
		echo '</td>';
		echo '<td>'.$dbCASH1[$i].'</td>';
		echo '<td>'.$dbTEAM2[$i].'<br>'.$dbDATE2[$i].'</td>';
		echo '<td>';
		for($x=0;$x<count($dbPLAYER2[$i]);$x++) {
			if($x!=0) echo '<br>';
			echo $dbPLAYER2[$i][$x];
		}
		echo '</td>';
		echo '<td>';
		for($x=0;$x<count($dbPROSPECT2[$i]);$x++) {
			if($x!=0) echo '<br>';
			echo $dbPROSPECT2[$i][$x];
		}
		echo '</td>';
		echo '<td>';
		for($x=0;$x<count($dbDRAFT2[$i]);$x++) {
			if($x!=0) echo '<br>';
			echo $dbDRAFT2[$i][$x];
		}
		echo '</td>';
		echo '<td>'.$dbCASH2[$i].'</td>';
		echo '<td style="font-weight:bold; text-align:center;"><a style="color:green;" href="javascript:acceptedTrade('.$dbINT[$i].');">'.$db_admin_trade[12].'</a> / <a style="color:red;" href="javascript:deleteTrade('.$dbINT[$i].');">'.$db_admin_trade[13].'</a></td>';
		echo '</tr>';
	}
	echo '</table>';
}
else {
	echo '<span style="font-weight:bold;">'.$db_admin_trade[11].'</span>';
}

?>