<?php
error_reporting(E_ALL);
ini_set("display_errors", "On");

mb_internal_encoding('UTF-8');
mb_http_output('UTF-8');
mb_http_input('UTF-8');
mb_language('uni');
mb_regex_encoding('UTF-8');
ob_start('mb_output_handler');

$version = '3.08';
ini_set('arg_separator.output', '&amp;'); // MODE DANS LE URL
date_default_timezone_set('America/Toronto');

if(file_exists('config2.php')) {
	include 'config2.php';
}
else {
	echo 'Please install the Online GM Editor!';
	exit();
}

include 'login/mysqli.php';

// Update 3.06
$query = mysqli_query($con, "SELECT * FROM information_schema.TABLES WHERE TABLE_SCHEMA = '$db_name' AND TABLE_NAME = 'gmo_parameters'");
if(mysqli_num_rows($query) != 0) {
	$sql = "SELECT `VALUE` FROM gmo_parameters WHERE `PARAM` = 'league_SalaryWaivers' LIMIT 1";
	$query = mysqli_query($con, $sql);
	if($query && mysqli_num_rows($query) == 0) {
		$sql = "INSERT INTO `gmo_parameters` (`PARAM`, `VALUE`) VALUES ('league_SalaryWaivers', '0')";
		$query = mysqli_query($con, $sql);
	}
	$sql = "SELECT `VALUE` FROM gmo_parameters WHERE `PARAM` = 'league_AgeExemptFarmMaxOV' LIMIT 1";
	$query = mysqli_query($con, $sql);
	if($query && mysqli_num_rows($query) == 0) {
		$sql = "INSERT INTO `gmo_parameters` (`PARAM`, `VALUE`) VALUES ('league_AgeExemptFarmMaxOV', '0')";
		$query = mysqli_query($con, $sql);
	}
}

// Update 3.07
$query = mysqli_query($con, "SELECT * FROM information_schema.TABLES WHERE TABLE_SCHEMA = '$db_name' AND TABLE_NAME = 'gmo_trade'");
if(mysqli_num_rows($query) == 0) {
	$sql = "CREATE TABLE gmo_trade (
	`INT` int( 11 ) NOT NULL AUTO_INCREMENT ,
	`DATE1` datetime NOT NULL ,
	`TEAM1` text NOT NULL ,
	`PLAYER1` text NOT NULL ,
	`PROSPECT1` text NOT NULL ,
	`DRAFT1` text NOT NULL ,
	`CASH1` text NOT NULL ,
	`DATE2` datetime NOT NULL ,
	`TEAM2` text NOT NULL ,
	`PLAYER2` text NOT NULL ,
	`PROSPECT2` text NOT NULL ,
	`DRAFT2` text NOT NULL ,
	`CASH2` text NOT NULL ,
	`APPROVAL` datetime NOT NULL ,
	PRIMARY KEY ( `INT` )
	) DEFAULT CHARSET=utf8;";
	$query = mysqli_query($con, $sql);
	$sql = "SELECT `VALUE` FROM gmo_parameters WHERE `PARAM` = 'league_TradeToolStatus' LIMIT 1";
	$query = mysqli_query($con, $sql);
	if($query && mysqli_num_rows($query) == 0) {
		$sql = "INSERT INTO `gmo_parameters` (`PARAM`, `VALUE`) VALUES ('league_TradeToolStatus', '0')";
		$query = mysqli_query($con, $sql);
	}
	$sql = "SELECT `VALUE` FROM gmo_parameters WHERE `PARAM` = 'league_TradeToolDraft' LIMIT 1";
	$query = mysqli_query($con, $sql);
	if($query && mysqli_num_rows($query) == 0) {
		$sql = "INSERT INTO `gmo_parameters` (`PARAM`, `VALUE`) VALUES ('league_TradeToolDraft', '1')";
		$query = mysqli_query($con, $sql);
	}
	$sql = "SELECT `VALUE` FROM gmo_parameters WHERE `PARAM` = 'league_TradeToolDraftRounds' LIMIT 1";
	$query = mysqli_query($con, $sql);
	if($query && mysqli_num_rows($query) == 0) {
		$sql = "INSERT INTO `gmo_parameters` (`PARAM`, `VALUE`) VALUES ('league_TradeToolDraftRounds', '9')";
		$query = mysqli_query($con, $sql);
	}
	$sql = "SELECT `VALUE` FROM gmo_parameters WHERE `PARAM` = 'league_UFAToolStatus' LIMIT 1";
	$query = mysqli_query($con, $sql);
	if($query && mysqli_num_rows($query) == 0) {
		$sql = "INSERT INTO `gmo_parameters` (`PARAM`, `VALUE`) VALUES ('league_UFAToolStatus', '0')";
		$query = mysqli_query($con, $sql);
	}
	$query = mysqli_query($con, "SELECT * FROM information_schema.TABLES WHERE TABLE_SCHEMA = '$db_name' AND TABLE_NAME = 'gmo_ufalist'");
	if(mysqli_num_rows($query) == 0) {
		$sql = "CREATE TABLE gmo_ufalist (
		`INT` int( 11 ) NOT NULL AUTO_INCREMENT ,
		`LEAGUE` text NOT NULL ,
		`NAME` text NOT NULL ,
		`POSI` text NOT NULL ,
		`NUMB` text NOT NULL ,
		`HAND` text NOT NULL ,
		`HEIG` text NOT NULL ,
		`WEIG` text NOT NULL ,
		`AGES` text NOT NULL ,
		`COND` text NOT NULL ,
		`INTE` text NOT NULL ,
		`SPEE` text NOT NULL ,
		`STRE` text NOT NULL ,
		`ENDU` text NOT NULL ,
		`DURA` text NOT NULL ,
		`DISC` text NOT NULL ,
		`SKAT` text NOT NULL ,
		`PASS` text NOT NULL ,
		`PKCT` text NOT NULL ,
		`DEFS` text NOT NULL ,
		`OFFS` text NOT NULL ,
		`EXPE` text NOT NULL ,
		`LEAD` text NOT NULL ,
		`SALA` text NOT NULL ,
		`BIRT` text NOT NULL ,
		`OVER` text NOT NULL ,
		`NTC` BOOLEAN NOT NULL , 
		`LAST_TEAM` text NOT NULL ,
		`PROTECTED` text NOT NULL ,
		`DISABLED` BOOLEAN NOT NULL ,
		`TEAM` text NOT NULL ,
		`DATE` datetime NOT NULL ,
		`SALARY` text NOT NULL ,
		`YEAR` text NOT NULL ,
		PRIMARY KEY ( `INT` )
		) DEFAULT CHARSET=utf8;";
		$query = mysqli_query($con, $sql);
	}
	$query = mysqli_query($con, "SELECT * FROM information_schema.TABLES WHERE TABLE_SCHEMA = '$db_name' AND TABLE_NAME = 'gmo_ufalistsend'");
	if(mysqli_num_rows($query) == 0) {
		$sql = "CREATE TABLE gmo_ufalistsend (
		`ID` int( 11 ) NOT NULL AUTO_INCREMENT ,
		`LEAGUE` text NOT NULL ,
		`TEAM` text NOT NULL ,
		`PLAYERID` text NOT NULL ,
		`CONTRACT` text NOT NULL ,
		`SALARY` text NOT NULL ,
		`OTHER` text NOT NULL ,
		`DATE` datetime NOT NULL ,
		`APPR` BOOLEAN NOT NULL ,
		`DATE_APPR` datetime NOT NULL ,
		PRIMARY KEY ( `ID` )
		) DEFAULT CHARSET=utf8;";
		$query = mysqli_query($con, $sql);
	}
}

// Update 3.08
$query = mysqli_query($con, "SELECT * FROM information_schema.COLUMNS WHERE `TABLE_SCHEMA` = '$db_name' AND `TABLE_NAME` = '$db_table' AND `COLUMN_NAME` = 'TRADE_MANAGER'");
if(mysqli_num_rows($query) == 0) {
	$sql = "ALTER TABLE `$db_table` ADD `HISTORY_TRADE_MANAGER` BOOLEAN NOT NULL";
	$query = mysqli_query($con, $sql);
	$sql = "ALTER TABLE `$db_table` ADD `TRADE_MANAGER` BOOLEAN NOT NULL";
	$query = mysqli_query($con, $sql);
	$sql = "ALTER TABLE `$db_table` ADD `UFA_SIGN_MANAGER` BOOLEAN NOT NULL";
	$query = mysqli_query($con, $sql);
	$sql = "ALTER TABLE `$db_table` ADD `UFA_LIST_MANAGER` BOOLEAN NOT NULL";
	$query = mysqli_query($con, $sql);
	$sql = "ALTER TABLE `$db_table` ADD `EMAIL` text NOT NULL";
	$query = mysqli_query($con, $sql);
	$sql = "ALTER TABLE `$db_table` ADD `NOTIFICATION` BOOLEAN NOT NULL DEFAULT TRUE";
	$query = mysqli_query($con, $sql);
	$sql = "ALTER TABLE `gmo_ufalistsend` ADD `VIEWED` BOOLEAN NOT NULL";
	$query = mysqli_query($con, $sql);
}

// Get Infos from database
$sql = "SELECT `VALUE` FROM gmo_parameters WHERE `PARAM` = 'SessionName' LIMIT 1";
$query = mysqli_query($con, $sql);
if($query){
	while($data = mysqli_fetch_array($query)) {
		$SessionName = $data['VALUE'];
	}
}
$sql = "SELECT `VALUE` FROM gmo_parameters WHERE `PARAM` = 'league_langue' LIMIT 1";
$query = mysqli_query($con, $sql);
if($query){
	while($data = mysqli_fetch_array($query)) {
		$league_langue = $data['VALUE'];
	}
}
$sql = "SELECT `VALUE` FROM gmo_parameters WHERE `PARAM` = 'league_name' LIMIT 1";
$query = mysqli_query($con, $sql);
if($query){
	while($data = mysqli_fetch_array($query)) {
		$league_name = $data['VALUE'];
	}
}
$sql = "SELECT `VALUE` FROM gmo_parameters WHERE `PARAM` = 'colorTxtTtitle' LIMIT 1";
$query = mysqli_query($con, $sql);
if($query){
	while($data = mysqli_fetch_array($query)) {
		$colorTxtTtitle = $data['VALUE'];
	}
}
$sql = "SELECT `VALUE` FROM gmo_parameters WHERE `PARAM` = 'colorBackground' LIMIT 1";
$query = mysqli_query($con, $sql);
if($query){
	while($data = mysqli_fetch_array($query)) {
		$colorBackground = $data['VALUE'];
	}
}
$sql = "SELECT `VALUE` FROM gmo_parameters WHERE `PARAM` = 'colorBorder' LIMIT 1";
$query = mysqli_query($con, $sql);
if($query){
	while($data = mysqli_fetch_array($query)) {
		$colorBorder = $data['VALUE'];
	}
}
mysqli_close($con);
session_name($SessionName);
session_start();
$a = '';

if(isset($_SESSION['login'])) {
	$log_in = $_SESSION['login'];
	if(isset($_SESSION['login']) && isset($_SESSION['equipe'])) {
		if (isset($_SESSION['login']) AND $_SESSION['equipe'] =="ADMIN"){ 
			$_SESSION['admin'] = 1;
		}
		$date_time = date("Y-m-d H:i:s");
		include 'login/mysqli.php';
		$sql = "UPDATE ".$db_table." SET `LAST`='".$date_time."' WHERE `USER`='".$log_in."'";
		$query = mysqli_query($con, $sql);
		mysqli_close($con);
	}
	else {
		// remove all session variables
		session_unset();
		
		// destroy the session
		session_destroy(); 
	}
}

// LIGUE NAME
if ( !isset($_SESSION['login']) ) {
	include 'login/header.php';
	include 'login/index.php';
	$a = 1;
}

// ADMIN ZONE
if (isset($_SESSION['admin'])) {
	include 'admin/index.php';
	$a = 1;
}
// MEMBRE ZONE
if (isset($_SESSION['equipe']) && !isset($_SESSION['admin'])) {
	$db_lang = '';
	$log_in = $_SESSION['login'];
	include 'login/mysqli.php';
	$sql = "SELECT `LANGUE` FROM ".$db_table." WHERE `USER`='".$log_in."'";
	$query = mysqli_query($con, $sql);
	while($data = mysqli_fetch_array($query)) {
		$db_lang = $data['LANGUE'];
	}
	if(isset($_GET['lang']) || isset($_POST['lang'])) {
		$mode = ( isset($_GET['lang']) ) ? $_GET['lang'] : $_POST['lang'];
		$mode = htmlspecialchars($mode);
		
		if($mode == 'fr' || $mode == 'en') {
			if($db_lang == '') {
				if($league_langue == "en") $db_lang = "fr";
				if($league_langue == "fr") $db_lang = "en";
			}
			else {
				$db_lang = $mode;
			}
			$sql = "UPDATE ".$db_table." SET `LANGUE`='$db_lang' WHERE `USER`='".$log_in."'";
			$query = mysqli_query($con, $sql);
		}
		mysqli_close($con);
	}
	if($db_lang) $league_langue = $db_lang;
	include 'membre/lang.php';
	include 'membre/index.php';
	$a = 1;
}

include 'footer.php';
?>