<?php
error_reporting(E_ALL);
ini_set("display_errors", "On");

function moneyFormat($money,$lang) {
	if($lang == "fr") $money2 = number_format($money, 0, ',', ' ')." $";
	if($lang == "en") $money2 = "$".number_format($money, 0, '.', ',');
	return $money2;
}

$homePlayer = json_decode($_POST['homeplayer']);
$homeProspect = json_decode($_POST['homeprospect']);
$homeDraft = json_decode($_POST['homedraft']);
$homeCash = $_POST['homecash'];
if($homeCash == "0") $homeCash = "";
$homeTeam = $_POST['hometeam'];
$awayPlayer = json_decode($_POST['awayplayer']);
$awayProspect = json_decode($_POST['awayprospect']);
$awayDraft = json_decode($_POST['awaydraft']);
$awayCash = $_POST['awaycash'];
if($awayCash == "0") $awayCash = "";
$awayTeam = $_POST['awayteam'];

include '../config2.php';
include '../login/mysqli.php';
$sql = "SELECT `VALUE` FROM gmo_parameters WHERE `PARAM` = 'TimeZone' LIMIT 1";
$query = mysqli_query($con, $sql) or die(mysqli_error($con));
if($query){
	while($data = mysqli_fetch_array($query)) {
		$TimeZone = $data['VALUE'];
	}
}
$sql = "SELECT `VALUE` FROM gmo_parameters WHERE `PARAM` = 'league_langue' LIMIT 1";
$query = mysqli_query($con, $sql) or die(mysqli_error($con));
if($query){
	while($data = mysqli_fetch_array($query)) {
		$league_langue = $data['VALUE'];
	}
}
date_default_timezone_set($TimeZone);

$homeDate = date("Y-m-d H:i:s");
$homePlayerSQL = mysqli_real_escape_string($con, implode("|", $homePlayer));
$homeProspectSQL = mysqli_real_escape_string($con, implode("|", $homeProspect));
$homeDraftSQL = mysqli_real_escape_string($con, implode("|", $homeDraft));
$homeCashSQL = mysqli_real_escape_string($con, $homeCash);
$homeTeamSQL = mysqli_real_escape_string($con, $homeTeam);

$awayPlayerSQL = mysqli_real_escape_string($con, implode("|", $awayPlayer));
$awayProspectSQL = mysqli_real_escape_string($con, implode("|", $awayProspect));
$awayDraftSQL = mysqli_real_escape_string($con, implode("|", $awayDraft));
$awayCashSQL = mysqli_real_escape_string($con, $awayCash);
$awayTeamSQL = mysqli_real_escape_string($con, $awayTeam);

$sql = "INSERT INTO `gmo_trade` (`DATE1`, `TEAM1`, `PLAYER1`, `PROSPECT1`, `DRAFT1`, `CASH1`, `TEAM2`, `PLAYER2`, `PROSPECT2`, `DRAFT2`, `CASH2`) 
VALUES ('$homeDate','$homeTeamSQL','$homePlayerSQL','$homeProspectSQL','$homeDraftSQL','$homeCashSQL','$awayTeamSQL','$awayPlayerSQL','$awayProspectSQL','$awayDraftSQL','$awayCashSQL')
;";
$query = mysqli_query($con, $sql);

// Get User Infos
$sql = "SELECT `EQUIPESIM`, `EMAIL`, `LANGUE`, `NOTIFICATION` FROM ".$db_table." WHERE `EQUIPESIM`='$awayTeam' LIMIT 1";
$query = mysqli_query($con, $sql) or die(mysqli_error($con));
while($data = mysqli_fetch_array($query)) {
	$bd_equipesim = $data['EQUIPESIM'];
	$bdEmail = $data['EMAIL'];
	$bdLangue = $data['LANGUE'];
	$bdNotification = $data['NOTIFICATION'];
}
if($bdLangue == "") $bdLangue = $league_langue;

// Si le courriel existe, envoie la notification
if($bdEmail != "" && $bdNotification == 1) {
	// Inclure le texte selon la langue
	include '../membre/langEmail.php';
	
	// Recherche du nom de la ligue
	$sql = "SELECT `VALUE` FROM gmo_parameters WHERE `PARAM` = 'league_name' LIMIT 1";
	$query = mysqli_query($con, $sql) or die(mysqli_error($con));
	if($query){
		while($data = mysqli_fetch_array($query)) {
			$league_name = $data['VALUE'];
		}
	}
	
	// Envoie du courriel
	$to = $bdEmail;
	$subject = "$league_name - $db_membre_trade1 - $homeTeam";

	$txt = $db_membre_trade1."\r\n"; // Trade Offer
	$txt .= "\r\n".$db_membre_trade2." ".$awayTeam."\r\n"; // To DALLAS
	// Joueurs Team 1
	if(isset($homePlayer[0]) && $homePlayer[0] != "") {
		for($i=0;$i<count($homePlayer);$i++) {
			$txt .= $homePlayer[$i]."\r\n";
		}
	}
	// Prospect Team 1
	if(isset($homeProspect[0]) && $homeProspect[0] != "") {
		for($i=0;$i<count($homeProspect);$i++) {
			$txt .= $homeProspect[$i]."\r\n";
		}
	}
	// Draft Team 1
	if(isset($homeDraft[0]) && $homeDraft[0] != "") {
		for($i=0;$i<count($homeDraft);$i++) {
			$txt .= $homeDraft[$i]."\r\n";
		}
	}
	// Cash Team 1
	if($homeCash != "" && $homeCash != "0") {
		$bd_Cash1b = moneyFormat($homeCash, $bdLangue);
		$txt .= $bd_Cash1b."\r\n";
	}
	
	$txt .= "\r\n".$db_membre_trade2." ".$homeTeam."\r\n"; // To DALLAS
	// Joueurs Team 2
	if(isset($awayPlayer[0]) && $awayPlayer[0] != "") {
		for($i=0;$i<count($awayPlayer);$i++) {
			$txt .= $awayPlayer[$i]."\r\n";
		}
	}
	// Prospect Team 2
	if(isset($awayProspect[0]) && $awayProspect[0] != "") {
		for($i=0;$i<count($awayProspect);$i++) {
			$txt .= $awayProspect[$i]."\r\n";
		}
	}
	// Draft Team 2
	if(isset($awayDraft[0]) && $awayDraft[0] != "") {
		for($i=0;$i<count($awayDraft);$i++) {
			$txt .= $awayDraft[$i]."\r\n";
		}
	}
	// Cash Team 2
	if($awayCash != "" && $awayCash != "0") {
		$bd_Cash2b = moneyFormat($awayCash, $bdLangue);
		$txt .= $bd_Cash2b."\r\n";
	}
	
	$headers = "From: trade@fhlsim.com" . "\r\n";
	$headers .= 'Content-type: text/plain; charset=UTF-8' . "\r\n";
	mail($to,$subject,$txt,$headers);
}
mysqli_close($con);

echo 'done';

?>